GCLOUD_COMPONENTS_INSTALL(1)

NAME

gcloud components install - install one or more Cloud SDK components

SYNOPSIS

gcloud components install COMPONENT-IDS [COMPONENT-IDS ...] [GLOBAL-FLAG ...]

DESCRIPTION
Ensure that each of the specified components (as well as any dependent components) is installed on the local workstation. Components are installed without performing any upgrades to your existing SDK installation. All components are installed at the current version of your SDK. Components that are available for installation can be viewed by running:
    $ gcloud components list
Installing a given component will also install all components on which it depends. The command lists all components it is about to install, and asks for confirmation before proceeding. gcloud components install installs components from the version of the Cloud SDK you currently have installed. You can see your current version by running:
    $ gcloud version
If you want to update your Cloud SDK installation to the latest available version, use:
    $ gcloud components update

POSITIONAL ARGUMENTS
COMPONENT-IDS [COMPONENT-IDS ...]
    The IDs of the components to be installed.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command installs COMPONENT-1, COMPONENT-2, and all components that they depend on:
    $ gcloud components install COMPONENT-1 COMPONENT-2